import java.util.ArrayList;
import java.util.HashMap;
import java.util.Random;

public class AchievementTabs {
	public static class Tab {
		private static int nextID = 1;
		
		final int id;
		public final String title;
		
		private Tab() {
			id = 0;
			title = "Minecraft";
			list.add(this);
		}
		public Tab(String title) {
			id = nextID++;
			this.title = title;
			list.add(this);
		}
		
		public void addAchievements(nc... achievements) {
			for (nc achievement : achievements) map.put(achievement.e,this);
		}
		
		public int bgGetSprite(Random random, int x, int y) {
			int sprite = to.E.bk;
			int rnd = random.nextInt(1+y)+y/2;
			
			if (rnd > 37 || y == 35) sprite = to.z.bk;
			else if (rnd == 22) sprite = random.nextInt(2) == 0 ? to.aw.bk : to.aN.bk;
			else if (rnd == 10) sprite = to.H.bk;
			else if (rnd == 8) sprite = to.I.bk;
			else if (rnd > 4) sprite = to.t.bk;
			else if (rnd > 0) sprite = to.v.bk;
			
			return sprite;
		}
	}
	
	public static int currentTab = 0;
	private static ArrayList<Integer> hidden = new ArrayList<Integer>();
	private static HashMap<Integer,Tab> map = new HashMap<Integer,Tab>();
	private static ArrayList<Tab> list = new ArrayList<Tab>();
	public static Tab defaultTab = new Tab();
	
	public static void hideAchievements(nc... achievements) {
		for (nc achievement : achievements) hidden.add(achievement.e);
	}
	public static boolean isHidden(nc achievement) {
		return hidden.contains(achievement.e);
	}
	
	public static Tab getTab(nc achievement) {
		if (achievement == null) return null;
		return map.containsKey(achievement.e) ? map.get(achievement.e) : defaultTab;
	}
	public static Tab getCurrentTab() {
		return list.get(currentTab);
	}
	
	public static String getCurrentTabTitle() {
		return getCurrentTab().title;
	}
	
	public static void tabNext() {
		currentTab++;
		if (currentTab > list.size()-1) currentTab = 0;
	}
	public static void tabPrev() {
		currentTab--;
		if (currentTab < 0) currentTab = list.size()-1;
	}
}